
#ifdef        GLOBALS_API_SCI
    #define   EXTERN_API_SCI
   
#else
    #define   EXTERN_API_SCI     extern
#endif

#ifndef API_SCI_H_
#define API_SCI_H_
	#define             CH1          1
	#define             CH2          2
	#define             baud_9600    208
	#define             baud_19200   104
	#define             baud_38400   52	
	#define             baud_115200  17
	
	#define             div4       3
	EXTERN_API_SCI     void            Api_SCI_Init(void);
	EXTERN_API_SCI     void            Api_SCI_Trans_Byte(INT8U data);
	EXTERN_API_SCI     void            Api_SCI_Trans_Bytes(INT8U *pStr, INT8U length);
	EXTERN_API_SCI     interrupt void  Api_SCI_Rev_isr(void);
	
#endif /* API_SCI_H_ */